﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;

public partial class BoundToDataSetCode : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid1.DataSource = CreateDataForGrid();
        WebDataGrid1.DataBind();
    }

    private DataSet CreateDataForGrid()
    {
        DataTable table1 = new DataTable("patients");
	    table1.Columns.Add("name");
	    table1.Columns.Add("id", typeof(int));
	    table1.Rows.Add("sam", 1);
	    table1.Rows.Add("mark", 2);

	    DataTable table2 = new DataTable("medications");
	    table2.Columns.Add("id");
	    table2.Columns.Add("medication");
	    table2.Rows.Add(1, "atenolol");
	    table2.Rows.Add(2, "amoxicillin");

	    DataSet set = new DataSet("office");
	    set.Tables.Add(table1);
	    set.Tables.Add(table2);

        return set;
    }
    protected void WebDataGrid1_InitializeRow(object sender, Infragistics.Web.UI.GridControls.RowEventArgs e)
    {
        //foreach (GridRecordItem item in e.Row.Items)
        //{
        //    if (item.Column.Type == typeof(int) && int.Parse(item.Value.ToString()) > 1)
        //    {
        //        e.Row.CssClass = "CellStyle";
        //    }
        //}
    }
    protected void WebDataGrid1_PreRender(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            foreach (GridRecord record in WebDataGrid1.Rows)
            {
                foreach (GridRecordItem item in record.Items)
                {
                    if (item.Column.Type == typeof(int) && int.Parse(item.Value.ToString()) > 1)
                    {
                        record.CssClass = "CellStyle";
                    }
                }
            }
        }
    }
}